program ex1a
  implicit none
  
  include 'shmem.fh'

  integer :: mype, numpes

  call shmem_init()

  numpes = shmem_n_pes()
  mype = shmem_my_pe()

  ! Even in Fortra`n, SHMEM PEs index from 0.

  if (mype == 0) write(*,*) 'Running with ', numpes, ' PE(s)'

  write(*,*) 'Hello from PE ', mype, ' out of ', numpes

  call shmem_finalize()

end program ex1a
